%global pre_tag beta4

Name:           opam
Version:        2.0.0
Release:        0.2.%{pre_tag}%{?dist}
Summary:        Source-based package manager for OCaml

# Standard "OCaml linking exception", see included file.
License:        LGPLv2 with exceptions
URL:            https://github.com/ocaml/opam
Source0:        https://github.com/ocaml/opam/archive/%{version}-%{pre_tag}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml > 4.02.3
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild

BuildRequires:  ocaml-cmdliner-devel
BuildRequires:  ocaml-ocamlgraph-devel
BuildRequires:  ocaml-re-devel
BuildRequires:  ocaml-cudf-devel
BuildRequires:  ocaml-opam-file-format-devel
BuildRequires:  ocaml-dose3-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-mccs-devel
BuildRequires:  ocaml-zip-devel

BuildRequires:  glpk-devel
BuildRequires:  zlib-devel

BuildRequires:  jbuilder
BuildRequires:  git

%description
Jbuilder is a build system designed for OCaml/Reason projects only. It focuses
on providing the user with a consistent experience and takes care of most of
the low-level details of OCaml compilation. All you have to do is provide a
description of your project and Jbuilder will do the rest.

The scheme it implements is inspired from the one used inside Jane Street and
adapted to the open source world. It has matured over a long time and is used
daily by hundred of developpers, which means that it is highly tested and
productive.

%prep
%autosetup -n %{name}-%{version}-%{pre_tag}

%build
%configure
# Parallel build does not succeed.
make
make man

%install
%make_install

# It seems that some tests fail under mock.
# I am not sure why at the moment. So for now I'll just turn them off.
#%check
#make tests

%files
%license LICENSE
%doc README.md CHANGES AUTHORS CONTRIBUTING.md
%{_bindir}/opam
%{_bindir}/opam-installer
%{_mandir}/man1/*.1*

%changelog
* Mon Oct 02 2017 Ben Rosser <rosser.bjr@gmail.com> - 2.0.0-0.2.beta4
- Updated to latest upstream release.

* Tue Aug 15 2017 Ben Rosser <rosser.bjr@gmail.com> 2.0.0-0.1.beta31
- Initial package.
